/* Calculation screen ================ */

@import "./src/lib/core/variables";
@import "./src/lib/mixins/panel_styles";

.calculation {
  padding-top: 100px;
  padding-bottom: 100px;

  @include mq("desktop-fullhd", "max") {
    padding-top: 60px;
    padding-bottom: 60px;
  }

  @include mq("desktop", "max") {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  @include mq("laptop-small", "max") {
    padding-top: 20px;
  }
}

.calculation__row {
  display: flex;
  flex-wrap: wrap;
  margin-top: -25px;
  margin-left: -25px;
}

.calculation__column {
  width: calc(50% - 25px);
  margin-top: 25px;
  margin-left: 25px;

  @include mq("tablet-small", "max") {
    width: calc(100% - 25px);
  }
}

.calculation__block {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 557px;
  padding-top: 40px;
  padding-right: 60px;
  padding-bottom: 40px;
  padding-left: 60px;

  @include panelStyles;

  @include mq("desktop-fullhd", "max") {
    padding: 40px;
  }

  @include mq("desktop", "max") {
    min-height: 437px;
  }

  @include mq("tablet", "max") {
    min-height: 400px;
    padding: 30px;
  }

  @include mq("tablet-small", "max") {
    min-height: 300px;
  }

  @include mq("phone-large", "max") {
    min-height: 250px;
    padding: 20px;
  }
}

.calculation__range {
  margin-bottom: 40px;

  + .calculation__range {
    margin-top: 80px;

    @include mq("desktop", "max") {
      margin-top: 60px;
    }

    @include mq("laptop-small", "max") {
      margin-top: 40px;
    }

    @include mq("phone-large", "max") {
      margin-top: 30px;
    }
  }
}

.calculation__image {
  position: absolute;
  right: 20px;
  bottom: 0;
  max-height: 90%;
  pointer-events: none;

  @include mq("desktop-fullhd", "max") {
    opacity: .1;
  }

  @include mq("tablet-small", "max") {
    opacity: 1;
  }

  @include mq("phone-large", "max") {
    opacity: .1;
  }
}

.calculator-result {
  position: relative;
  z-index: 2;
  max-width: 340px;
}

.calculator-result__title {
  margin-bottom: 20px;
  font-weight: $text-weight-bold;
}

.calculator-result__value {
  margin-bottom: 50px;
  color: $color-primary;
  font-weight: $text-weight-bold;
  font-size: 40px;

  @include mq("desktop", "max") {
    margin-bottom: 30px;
  }

  @include mq("tablet", "max") {
    margin-bottom: 20px;
    font-size: 30px;
  }
}

.calculator-result__month {
  font-size: 30px;
}

.calculator-result__label {
  margin-bottom: 60px;

  @include mq("desktop", "max") {
    margin-bottom: 30px;
  }

  @include mq("tablet", "max") {
    margin-bottom: 20px;
  }
}
/* ================ end calculation screen */
